#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k ,x  ;
    cin >> n >> k >> x  ;
    int p[n] ;
    for(int i=0 ; i<n ; i++){
        cin >> p[i] ;
    }
    if(x==2){
        for(int i=0 ; i<n-k+1 ; i++){
            int ms=p[i+k-1] ;
            int s=p[i+k-1] ;
            for(int j=i+k-2 ; j>i ; j--){
                s+=p[j];
                if(s>ms){
                    ms=s ;
                }
            }
            cout << max(2*ms+p[i],s+p[i]) ;
        }
    }
    else{
        for(int i=0 ; i<n-k+1 ; i++){
            int c=1 ;
            int s=0 ;
            for(int j=0 ; j<k ; j++){
                s+=p[j]*c ;
                if(c<x){
                    c++ ;
                }
            }
            cout << s ;
        }
    }
    return 0 ;
}